Subject: bug#70137: 30.0.50; pp-macroexpand-last-sexp buffers should turn lexical binding on

From: Augusto Stoffel <[email-masked]>
Date: Tue, 02 Apr 2024 08:01:18 +0200

If you call pp-macroexpand-last-sexp in a buffer with lexical binding,
the resulting *Pp Macroexpand Output* buffer has lexical binding turned
off.

The problem with this is that if you now go the *Pp Macroexpand Output*
buffer and call pp-macroexpand-last-sexp again, this second macro
expansion step may not reflect what would happen in the original buffer;
I don't recall an example, but some macros expand differently in the two
variable scoping modes.